# -*- coding: utf-8 -*-
# Generated by Django 1.11.15 on 2018-09-06 17:12
from __future__ import unicode_literals

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='GeoAddress',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('uuid', models.UUIDField(unique=True)),
                ('cluster', models.CharField(max_length=4096, null=True, verbose_name='Cluster')),
                ('address', models.TextField()),
            ],
            options={
                'ordering': ('-created',),
                'verbose_name': 'Geo address',
                'verbose_name_plural': 'Geo addresses',
            },
        ),
        migrations.CreateModel(
            name='GeoData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('point', django.contrib.gis.db.models.fields.PointField(srid=4326)),
                ('tags', models.CharField(max_length=4096)),
                ('weight', models.PositiveIntegerField(default=1)),
                ('address', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='geocode.GeoAddress')),
            ],
            options={
                'ordering': ('-created',),
                'verbose_name': 'Geo data',
                'verbose_name_plural': 'Geo data',
            },
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tag', models.CharField(max_length=4096, unique=True, verbose_name='Tag')),
            ],
            options={
                'verbose_name': 'Tag',
                'verbose_name_plural': 'Tags',
            },
        ),
    ]
